cd "D:\Download in D\NLSY79\"

*** Hourly Wage Variables: HOURLY RATE OF PAY JOB #01,2,3,4,5 ***

clear 

use "Age.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

corr fam_1b_1979 ageatint_1979 // 0.9986
count if fam_1b_1979!=ageatint_1979 //136
list caseid_1979 fam_1b_1979 ageatint_1979 if fam_1b_1979!=ageatint_1979

tab ageatint_2012
/*
     AGE AT |
  INTERVIEW |
  DATE 2012 |      Freq.     Percent        Cum.
------------+-----------------------------------
         -5 |      5,386       42.46       42.46
         47 |         35        0.28       42.73
         48 |        832        6.56       49.29
         49 |      1,008        7.95       57.24
         50 |      1,028        8.10       65.34
         51 |      1,041        8.21       73.55
         52 |        976        7.69       81.24
         53 |        842        6.64       87.88
         54 |        775        6.11       93.99
         55 |        695        5.48       99.46
         56 |         68        0.54      100.00
------------+-----------------------------------
      Total |     12,686      100.00
*/
gen ageatint_2014 = ageatint_2012+2  
gen ageatint_2016 = ageatint_2014+2  
* NOTE1: Sometimes age increases by 3 years between two interview dates e.g. from 2010 to 2012.  

reshape long ageatint_, i(caseid_1979) j(year)

replace ageatint_=. if ageatint_==-5  // 73,512 - NON-INTERVIEW
replace ageatint_=. if ageatint_==-4  // 0      - VALID SKIP
replace ageatint_=. if ageatint_==-3  // 2      - Invalid Skip
replace ageatint_=. if ageatint_==-2  // 0      - Don't Know
replace ageatint_=. if ageatint_==-1  // 0      - Refusal

/*  
sum ageatint_

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
   ageatint_ |    243,636    30.01475    9.668465         14         56
   

count if ageatint_==. // 84,286

count if fam_1b_1979==.   // 0
*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename fam_1b_1979 Age_1979
label variable Age_1979 "AGE OF R in 1979"

gen Age = Age_1979 if year==1979
xtset caseid_1979 year
bys caseid_1979: replace Age=L.Age+1 if Age==.  // annual 1979 - 1994
bys caseid_1979: replace Age=L2.Age+2 if Age==. // bi-annual 1994 - 2016
order Age, a(Age_1979)
label variable Age "AGE OF R in 1979 + 1 until 1994; + 2 until 2016"

rename ageatint_ Age_InterviewDate
label variable Age_InterviewDate "AGE OF R AT INTERVIEW DATE"

drop Age_InterviewDate // too many missing observations 

save Age_Cleaned, replace
