cd "D:\Download in D\NLSY79\"

*** IN PAST CALENDAR YEAR: NUMBER OF WEEKS WORKED; NUMBER OF HOURS WORKED; NUMBER OF JOBS ***

clear 

use "Calendar_HoursWeeksJobs.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

rename cal_year_jobs_*_xrnd cal_year_jobs_*

reshape long hrswk_pcy_ wkswk_pcy_ cal_year_jobs_, i(caseid_1979) j(year)

foreach var of varlist cal_year_jobs_ hrswk_pcy_ wkswk_pcy_ {
	replace `var'=. if `var'==-5  // - NON-INTERVIEW
	replace `var'=. if `var'==-4  // - VALID SKIP
	replace `var'=. if `var'==-3  // - Invalid Skip
	replace `var'=. if `var'==-2  // - Don't Know
	replace `var'=. if `var'==-1  // - Refusal
}

/*  
Total N*T = 342,522

count if hrswk_pcy_==. // 94,058
count if wkswk_pcy_==. // 90,824
count if cal_year_jobs_==. // 90,822
*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename hrswk_pcy_ Calendar_Hours
label variable Calendar_Hours "NUMBER OF HOURS WORKED IN PAST CALENDAR YEAR"

rename wkswk_pcy_ Calendar_Weeks
label variable Calendar_Weeks "NUMBER OF WEEKS WORKED IN PAST CALENDAR YEAR"

rename cal_year_jobs_ Calendar_Jobs
label variable Calendar_Jobs "NUMBER OF JOBS IN CALENDAR YEAR"


save Calendar_HoursWeeksJobs_Cleaned, replace
