cd "D:\Download in D\NLSY79\"

*** Education Variable : HIGHEST GRADE COMPLETED AS OF MAY 1 SURVEY YEAR (REVISED) ***

clear 

use "Education.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

drop q3_4_* hgc_*

foreach x of numlist 79/94 96 98 {

	rename hgcrev`x'_19`x' hgcrev19`x'
	
}

foreach x in 00 02 04 06 08 10 12 14 16{

	rename hgcrev`x'_20`x' hgcrev20`x'
	
}

reshape long hgcrev, i(caseid_1979) j(year)  

replace hgcrev=. if hgcrev==-5  // 84,902 - NON-INTERVIEW
replace hgcrev=. if hgcrev==-4  // 1      - VALID SKIP
replace hgcrev=. if hgcrev==-3  // 360    - Invalid Skip
replace hgcrev=. if hgcrev==-2  // 0      - Don't Know
replace hgcrev=. if hgcrev==-1  // 0      - Refusal
replace hgcrev=. if hgcrev==95  // 0      - UNGRADED

* NOTE1: 5-8th year of college or more is remained as number 17-20. See Variable CodeBook (page 1) for details. 

* NOTE2: Observation with missing Edu is not dropped to create balanced panel with no missing information yet, since we don't know the range of years we will explore at this point. 

/*  

tab hgcrev

                  hgcrev |      Freq.     Percent        Cum.
-------------------------+-----------------------------------
                    NONE |        101        0.04        0.04
               1ST GRADE |         67        0.03        0.07
               2ND GRADE |          2        0.00        0.07
               3RD GRADE |        324        0.13        0.19
               4TH GRADE |        301        0.12        0.31
               5TH GRADE |        301        0.12        0.43
               6TH GRADE |      1,202        0.47        0.89
               7TH GRADE |      2,347        0.91        1.81
               8TH GRADE |      7,071        2.75        4.55
               9TH GRADE |     12,155        4.72        9.28
              10TH GRADE |     14,037        5.46       14.74
              11TH GRADE |     15,243        5.93       20.66
              12TH GRADE |    109,351       42.51       63.17
        1ST YEAR COLLEGE |     22,582        8.78       71.94
        2ND YEAR COLLEGE |     22,171        8.62       80.56
        3RD YEAR COLLEGE |     11,532        4.48       85.05
        4TH YEAR COLLEGE |     24,266        9.43       94.48
        5TH YEAR COLLEGE |      5,019        1.95       96.43
        6TH YEAR COLLEGE |      4,856        1.89       98.32
        7TH YEAR COLLEGE |      2,145        0.83       99.15
8TH YEAR COLLEGE OR MORE |      2,186        0.85      100.00
-------------------------+-----------------------------------
                   Total |    257,259      100.00
				   
count if hgcrev==.  // 85,263

*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename hgcrev Education
label variable Education "HIGHEST GRADE COMPLETED AS OF MAY 1 SURVEY YEAR (REVISED)"

/*
preserve

gen index=1 if Education!=.
bys caseid_1979: egen N_years=sum( index )
drop index 

* how many obs with no missing Education? 4,539 individuals 

preserve
collapse N_years, by(caseid_1979)
tab N_years
restore 

* among these 4,539 individuals, any misreport of decreasing education over time as KT described? No

keep if N_years==27
xtset caseid_1979 year
bys caseid_1979: gen index0=1 if year==1979
bys caseid_1979: gen index1=1 if Education>=L.Education
bys caseid_1979: gen index2=1 if index1==. & Education>=L2.Education

egen Index=rowtotal(index0 index1 index2)
drop index0 index1 index2
gen DecreasingEdu = 1 if Index==.

restore
*/

save Education_Cleaned, replace
