cd "D:\Download in D\NLSY79\"

*** Employment Variable : EMPLOYMENT STATUS RECODE ***

clear 

use "Employment.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

reshape long esr_key_ esr_col_, i(caseid_1979) j(year)  

foreach var of varlist esr_key_ esr_col_ {
	replace `var'=. if `var'==-5  // - NON-INTERVIEW
	replace `var'=. if `var'==-4  // - VALID SKIP
	replace `var'=. if `var'==-3  // - Invalid Skip
	replace `var'=. if `var'==-2  // - Don't Know
	replace `var'=. if `var'==-1  // - Refusal
}

/*  
tab esr_key_

                        esr_key_ |      Freq.     Percent        Cum.
---------------------------------+-----------------------------------
                     1: EMPLOYED |    124,865       63.19       63.19
   2: EMPLOYED - ABSENT FROM JOB |      6,278        3.18       66.37
       3: UNEMPLOYED - ON LAYOFF |     16,806        8.51       74.87
4: UNEMPLOYED - LOOKING FOR WORK |     16,009        8.10       82.98
 5: NOT IN LABOR FORCE - RETIRED |     12,623        6.39       89.36
6: NOT IN LABOR FORCE - DISABLED |      1,957        0.99       90.36
   7: NOT IN LABOR FORCE - OTHER |     11,000        5.57       95.92
    8: IN ACTIVE MILITARY FORCES |      8,058        4.08      100.00
---------------------------------+-----------------------------------
                           Total |    197,596      100.00
				   
count if esr_key_==.  // 43,438
count if esr_col_==.  // 43,438

*/

bysort caseid_1979: gen count=_N
tab count //only 19 years total for all individuals -> discontinued in 2006
drop count

rename esr_key_ Employment 
label variable Employment "EMPLOYMENT STATUS RECODE"

rename esr_col_ EmploymentCollapse
label variable EmploymentCollapse "EMPLOYMENT STATUS RECODE (COLLAPSED)"

save Employment_Cleaned, replace
