cd "D:\Download in D\NLSY79\"

*** Hourly Wage Variables: HOURLY RATE OF PAY JOB #01,2,3,4,5 ***

clear 

use "HourlyWage.dta"

*** Hours Worked Variables: HOURS PER WEEK WORKED JOB #01,2,3,4,5 (1979 – 2012) ***
merge 1:1 caseid_1979 using HoursWorked_A // QES-52A
drop _merge
/*
    Result                           # of obs.
    -----------------------------------------
    not matched                             0
    matched                            12,686  (_merge==3)
    -----------------------------------------
*/

*** Hours Worked Variables: HOURS PER WEEK USUALLY WORKED (INCLUDES HOURS WORKED AT HOME) JOB #01,2,3,4,5 (1988 – 2016) ***
merge 1:1 caseid_1979 using HoursWorked_D // QES-52D
drop _merge
/*
    Result                           # of obs.
    -----------------------------------------
    not matched                             0
    matched                            12,686  (_merge==3)
    -----------------------------------------
*/

drop sample_id_1979 sample_race_78scrn sample_sex_1979

#delimit ;
reshape long hrp1_ hrp2_ hrp3_ hrp4_ hrp5_ 
qes_52a_01_ qes_52a_02_ qes_52a_03_ qes_52a_04_ qes_52a_05_
qes_52d_01_ qes_52d_02_ qes_52d_03_ qes_52d_04_ qes_52d_05_, i(caseid_1979) j(year); 
#delimit cr

foreach var of varlist hrp1_ - qes_52a_05_ {
	replace `var'=. if `var'==-5  // - NON-INTERVIEW
	replace `var'=. if `var'==-4  // - VALID SKIP
	replace `var'=. if `var'==-3  // - Invalid Skip
	replace `var'=. if `var'==-2  // - Don't Know
	replace `var'=. if `var'==-1  // - Refusal
}

/*  
Total N*T = 342,522

count if hrp1_==. // 144,855
count if hrp2_==. // 282,109
count if hrp3_==. // 325,525
count if hrp4_==. // 337,939
count if hrp5_==. // 341,235

count if qes_52a_01_==. // 256,095
count if qes_52a_02_==. // 268,340
count if qes_52a_03_==. // 319,367
count if qes_52a_04_==. // 335,772
count if qes_52a_05_==. // 340,534

count if qes_52d_01_ ==. // 327,537
count if qes_52d_02_ ==. // 338,240
count if qes_52d_03_ ==. // 341,462
count if qes_52d_04_ ==. // 342,275
count if qes_52d_05_ ==. // 342,452
*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename hrp*_ HourlyWage*
label variable HourlyWage1 "HOURLY RATE OF PAY JOB #01"
label variable HourlyWage2 "HOURLY RATE OF PAY JOB #02"
label variable HourlyWage3 "HOURLY RATE OF PAY JOB #03"
label variable HourlyWage4 "HOURLY RATE OF PAY JOB #04"
label variable HourlyWage5 "HOURLY RATE OF PAY JOB #05"

rename qes_52a_0*_ HoursWorked*_A
label variable HoursWorked1_A "QES-52A, HOURS PER WEEK WORKED JOB #01, are available from 1979 – 2012"
label variable HoursWorked2_A "QES-52A, HOURS PER WEEK WORKED JOB #02, are available from 1979 – 2012"
label variable HoursWorked3_A "QES-52A, HOURS PER WEEK WORKED JOB #03, are available from 1979 – 2012"
label variable HoursWorked4_A "QES-52A, HOURS PER WEEK WORKED JOB #04, are available from 1979 – 2012"
label variable HoursWorked5_A "QES-52A, HOURS PER WEEK WORKED JOB #05, are available from 1979 – 2012"

rename qes_52d_0*_ HoursWorked*_D
order HoursWorked*_D, a(HoursWorked5_A)
label variable HoursWorked1_D "QES-52D, HOURS PER WEEK WORKED JOB #01, are available from 1988 – 2016"
label variable HoursWorked2_D "QES-52D, HOURS PER WEEK WORKED JOB #02, are available from 1988 – 2016"
label variable HoursWorked3_D "QES-52D, HOURS PER WEEK WORKED JOB #03, are available from 1988 – 2016"
label variable HoursWorked4_D "QES-52D, HOURS PER WEEK WORKED JOB #04, are available from 1988 – 2016"
label variable HoursWorked5_D "QES-52D, HOURS PER WEEK WORKED JOB #05, are available from 1988 – 2016"

* NOTE1: QES-52A is available from 1979-2012; and QES-52D is available from 1988 – 2016. 

* NOTE2: Hourly Wage adjusted by Hours worked NOT DONE yet - Need to decide the time range and which hours worked variables to use first. 

* NOTE3: Observation with missing data is not dropped to create balanced panel with no missing information yet, since we don't know the range of years we will explore at this point. But Hourly Wage and Hours Worked has so many missing observations... 

/*
count if HourlyWage1==.
count if HourlyWage2==.
count if HourlyWage3==.
count if HourlyWage4==.
count if HourlyWage5==.

count if HourlyWage1==0
count if HourlyWage2==0
count if HourlyWage3==0
count if HourlyWage4==0
count if HourlyWage5==0

preserve

gen index=1 if HourlyWage1!=.
bys caseid_1979: egen N_years=sum( index )
drop index 

* how many obs with no missing HourlyWage1? 561 individuals 

preserve
collapse N_years, by(caseid_1979)
tab N_years
restore 

restore
*/

save HourlyWage_HoursWorked, replace
