cd "D:\Download in D\NLSY79\"

*** Marriage Variable : MARITAL STATUS ***

clear 

use "Marriage.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

rename marstat_key_* marstat_*

reshape long marstat_, i(caseid_1979) j(year)  

replace marstat_=. if marstat_==-5  // 84,902 - NON-INTERVIEW
replace marstat_=. if marstat_==-4  // 4      - VALID SKIP
replace marstat_=. if marstat_==-3  // 25     - Invalid Skip
replace marstat_=. if marstat_==-2  // 4      - Don't Know
replace marstat_=. if marstat_==-1  // 1      - Refusal

* NOTE1: Note, we may have to interpolate / exterpolate if need.  

* NOTE2: Observation with missing data is not dropped to create balanced panel with no missing information yet, since we don't know the range of years we will explore at this point. 

/*  
tab marstat_

           marstat_ |      Freq.     Percent        Cum.
--------------------+-----------------------------------
0: 0  NEVER MARRIED |    107,027       41.55       41.55
      1: 1  MARRIED |    112,228       43.57       85.12
    2: 2  SEPARATED |     10,821        4.20       89.32
     3: 3  DIVORCED |     25,686        9.97       99.29
      6: 6  WIDOWED |      1,824        0.71      100.00
--------------------+-----------------------------------
              Total |    257,586      100.00

count if marstat_ ==.  // 84,936
*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename marstat_ Marriage
label variable Marriage "MARITAL STATUS"

save Marriage_Cleaned, replace
