cd "D:\Download in D\NLSY79\"

*** Salary Variable : TOTAL INCOME FROM WAGES AND SALARY IN PAST CALENDAR YEAR ***

clear 

use "Salary.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

rename q13_5_trunc_revised_* q13_5_*
rename q13_5_trunc_* q13_5_*

reshape long q13_5_, i(caseid_1979) j(year)  

replace q13_5_=. if q13_5_==-5  // 84,902 - NON-INTERVIEW
replace q13_5_=. if q13_5_==-4  // 12,293 - VALID SKIP
replace q13_5_=. if q13_5_==-3  // 465    - Invalid Skip
replace q13_5_=. if q13_5_==-2  // 4,553  - Don't Know
replace q13_5_=. if q13_5_==-1  // 2,631  - Refusal

* NOTE1: Binning in the label is automatically coded as lower bound in the data.

* NOTE2: Observation with missing Salary is not dropped to create balanced panel with no missing information yet, since we don't know the range of years we will explore at this point. 

* NOTE3: Top Coding exist for this variable: https://www.nlsinfo.org/content/cohorts/nlsy79/topical-guide/income/income

/*  

sum q13_5_

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
      q13_5_ |    237,678    18789.08    30703.27          0     370314
   
count if q13_5_ ==.  // 104,844

*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename q13_5_ Salary
label variable Salary "TOTAL INCOME FROM WAGES AND SALARY IN PAST CALENDAR YEAR (Top Coded)"

/*
preserve

gen index=1 if Salary!=.
bys caseid_1979: egen N_years=sum( index )
drop index 

* how many obs with no missing Salary? 1,581 individuals 

preserve
collapse N_years, by(caseid_1979)
tab N_years
restore 

restore
*/

save Salary_Cleaned, replace
