cd "D:\Download in D\NLSY79\"

*** Weeks Worked: TOTAL TENURE (IN WEEKS) WITH EMPLOYER AS OF INTERVIEW DATE JOB #01,2,3,4,5 ***

clear 

use "Tenure.dta"

drop sample_id_1979 sample_race_78scrn sample_sex_1979

reshape long tenure1_ tenure2_ tenure3_ tenure4_ tenure5_, i(caseid_1979) j(year)

foreach var of varlist tenure1_ tenure2_ tenure3_ tenure4_ tenure5_ {
	replace `var'=. if `var'==-5  // - NON-INTERVIEW
	replace `var'=. if `var'==-4  // - VALID SKIP
	replace `var'=. if `var'==-3  // - Invalid Skip
	replace `var'=. if `var'==-2  // - Don't Know
	replace `var'=. if `var'==-1  // - Refusal
}

/*  
Total N*T = 342,522

count if tenure1_==. // 136,033
count if tenure2_==. // 263,928
count if tenure3_==. // 318,655
count if tenure4_==. // 335,650
count if tenure5_==. // 340,488
*/

bysort caseid_1979: gen count=_N
tab count //27 years total for all individuals
drop count

rename tenure*_ Tenure*
label variable Tenure1 "TOTAL TENURE (IN WEEKS) WITH EMPLOYER JOB #01"
label variable Tenure2 "TOTAL TENURE (IN WEEKS) WITH EMPLOYER JOB #02"
label variable Tenure3 "TOTAL TENURE (IN WEEKS) WITH EMPLOYER JOB #03"
label variable Tenure4 "TOTAL TENURE (IN WEEKS) WITH EMPLOYER JOB #04"
label variable Tenure5 "TOTAL TENURE (IN WEEKS) WITH EMPLOYER JOB #05"

save Tenure_Cleaned, replace
