cd "D:\Download in D\NLSY79\"

*****************************************************************

clear 
use "Demographics_Others.dta"

rename sample_sex_1979 Gender

gen     Female = 1 if Gender==2
replace Female = 0 if Gender==1 
order   Female, a(Gender)
label variable Female "Female Dummy = 1 if Female"

rename q1_3_a_m_1979 BirthMonth
rename q1_3_a_y_1979 BirthYear

rename fam_2a_1979   BirthCountry

gen     ForeignBorn = 1 if BirthCountry==2
replace ForeignBorn = 0 if BirthCountry==1 
order   ForeignBorn, a(BirthCountry)
label variable ForeignBorn "Foreign Born Dummy = 1 if Foreign Born"

rename hgc_mother_1979 MotherEducation
rename hgc_father_1979 FatherEducation

rename fam_28a_1979 Sibling

drop hh1_1_1979 // Not Used in KT or Our paper. Also, this variable is available from 1979-2016, if need. 

merge 1:1 caseid_1979 using Demographics_Race 
drop _merge
drop fam_30_2_1979 - fam_30_6_1979

order sample_id_1979 sample_race_78scrn, b(fam_30_1_1979)

rename sample_id_1979     Sample_ID
rename sample_race_78scrn Sample_Race
rename fam_30_1_1979      RacialDetails

*****************************************************************

foreach var of varlist Gender - RacialDetails {
	replace `var'=. if `var'==-5  // - NON-INTERVIEW
	replace `var'=. if `var'==-4  // - VALID SKIP
	replace `var'=. if `var'==-3  // - Invalid Skip
	replace `var'=. if `var'==-2  // - Don't Know
	replace `var'=. if `var'==-1  // - Refusal
}

save Time-Inv_Demographics, replace
